April 29, 2009

New AIM 6.9 Supports Twitter, Facebook and YouTubeAOL officially released AIM 6.9. This new version is integrated with other social networks, including Twitter, Facebook and YouTube.

You can now get updates from your friends on AIM and other social networks, straight from your Buddy List and Buddy Info.

AIM 6.9 System Requirements:

Windows: 2K or higher, IE 6.0 or higher, 128MB RAM and 512MB for Enhanced IM functionality, Macromedia Flash, Microphone/speaker or headset for Talk functionality, Broadband recommended for Live Video Chat.

Download AIM 6.9

This Month's Most Popular Posts